package org.jeecg.modules.ctop.controller;

import org.jeecg.modules.ctop.service.ICrawlerService;
import org.jeecg.modules.ctop.vo.KuaishouAppiumJobVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

@RestController
@RequestMapping("appium/crawler")
public class CrawlerController {
    @Autowired
    private ICrawlerService crawlerService;
    @GetMapping("loadInspiration")
    public Map<String, Object> loadInspiration() {
        return crawlerService.loadInspiration();
    }

    @PostMapping("startJob")
    public Map<String, Object> runTask(Long jobId, Long num, String creativeName, String accountId, String publishName) {
        KuaishouAppiumJobVO vo = new KuaishouAppiumJobVO(jobId, num, creativeName, accountId, publishName);
        return crawlerService.startJob(vo);
    }
}
